@use "../abstracts/" as abstracts;
@use "../base/" as base;
@use "sass:map";

.main__form {
  & > * {
    margin: 1em 0 1em 0;
  }
  .form__input {
    @include abstracts.inputField();
  }

  .form__label--light {
    @include abstracts.typography(
      map.get(base.$sl-font-sizes, "small"),
      map.get(base.$sl-font-weights, "semi-bold"),
      map.get(base.$sl-line-heights, "small"),
      abstracts.$sl-color--neutral-dark-gray
    );
  }

  .form__label--dark {
    @include abstracts.typography(
      map.get(base.$sl-font-sizes, "regular"),
      map.get(base.$sl-font-weights, "regular"),
      map.get(base.$sl-line-heights, "normal"),
      map.get(abstracts.$sl-colors--text, "secondary")
    );
  }
}
